/*CSS by Cody Byrnes */

/*IMPORTED FONTS */
@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&display=swap');

/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
/* CSS RESET */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
    
}

body {
    line-height: 1;
    font-family: var(--font);
    margin: 0 auto;
    max-width: 450px;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}
/*ROOT Variables*/
:root {
    --midnight-blue: #1F2A44;
    --olive-green: #76885B;
    --champagne-gold: #E5C185;
    --linen: #F8F4EC;
    --dark-charcoal: #2B2B2B;
    --soft-white: #FAF9F6;
    /*FONTS */
    --font: Playfair Display;
}
/* GLOBAL STYLES */
header{
    background-color: var(--midnight-blue);
    color: var(--soft-white);
    display: flex;
    flex-direction: column;
    align-items: center;
}
header p{
    font-style: italic;
    padding: 10px;
    text-align: center;
}
nav{
    background-color: var(--champagne-gold);
    padding: 10px;
}
nav a {
    color: var(--dark-charcoal);
    font-weight: bold;
    text-decoration: none;
}
nav ul {
    display: flex;
    justify-content: space-evenly;
    gap: 20px;
}

p{
    line-height: 1.5;
}
h1{
    font-size: 40px;
    font-weight: bold;
    padding: 10px;
    text-align: center;
}

h2{
    font-size: 30px;
    color: var(--midnight-blue);
    padding: 10px;
    
}
h3{
    font-size: 24px;
    font-weight: bold;
}
#about p{
    margin-left: 20px;
    max-width: 80ch;
}
#offerings section{
    background-color: var(--olive-green);
    color: var(--soft-white);
    border-radius: 20px;
    padding: 20px;
}

#offerings{
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
}
#offerings ul{
    text-indent: 10px;
}
#gallery{
    display: flex;
}
section ul{
    list-style-type: disc;
}
input{
    background-color: var(--olive-green);
    color: var(--linen);
    padding: 10px;
    border-radius: 10px;
    width: 100%;
    height: 35px;

    cursor: pointer;
    text-align: center;
    font-weight: bold;
}
img{
    border-radius: 20px;
    max-width: 100%;
}
#gallery {
    display: flex;
    flex-direction: column;
    gap: 20px;
    
}
#gallery figure{
    
    font-style: italic;
    background-color: var(--linen);
    border-radius: 20px;
    box-shadow: 0 0 4px 0 var(--dark-charcoal);
    padding: 10px;
    text-align: center;
}

footer {
    background-color: var(--midnight-blue);
    color: var(--linen);
    text-align: center;
}
footer p{
    padding: 5px;
}
footer a{
    color: var(--champagne-gold);
    
}

/*Breakpoints */
/*Medium 600px*/
@media (min-width: 600px){
    body{
        min-width: 600px;
    }

    #offerings {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    #gallery {
        display: flex;
        flex-direction: row;
        justify-content: center;
        padding-bottom: 20px;
        padding-top: 10px;
    }
}

/*Large 900px*/
@media (min-width: 900px) {
    body{
        min-width: 900px;
    }
    #offerings{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    #gallery {
        display: flex;
        flex-direction: row;
        justify-content: center;
    }
}
/*XL 1200px*/
@media (min-width: 1200px) {
    body {
        min-width: 1200px;
    }
     #offerings {
        display: grid;
        grid-template-columns: 1fr 1fr;
     }
     #gallery{
        display: flex;
        flex-direction: row;
        justify-content: center;
        padding-bottom: 20px;
        padding-top: 10px;
     }

     h2{
        padding: 20px;
     }
     
}